Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.event
Class DrawingEvent.EventType

    java.lang.Object
      jpicedt.graphic.event.DrawingEvent.EventType

Enclosing class:
  DrawingEvent

public static class DrawingEvent.EventType
extends Object

enumeration for DrawingEvent types

Field Summary
`static DrawingEvent.EventType` | `ATTRIBUTE_CHANGE` an element attribute or attribute set changed
`static DrawingEvent.EventType` | `GEOMETRY_CHANGE` an element geometry changed
`static DrawingEvent.EventType` | `INSERT` a child was inserted to the changed-element
`static DrawingEvent.EventType` | `REMOVE` a child was removed from the changed-element
`static DrawingEvent.EventType` | `REPLACE` a child was replaced by another element in the changed-element
`static DrawingEvent.EventType` | `TEXT_CHANGE` the text content of a text element changed

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GEOMETRY_CHANGE

    public static final DrawingEvent.EventType GEOMETRY_CHANGE

  an element geometry changed

### ATTRIBUTE_CHANGE

    public static final DrawingEvent.EventType ATTRIBUTE_CHANGE

  an element attribute or attribute set changed

### TEXT_CHANGE

    public static final DrawingEvent.EventType TEXT_CHANGE

  the text content of a text element changed

### INSERT

    public static final DrawingEvent.EventType INSERT

  a child was inserted to the changed-element

### REMOVE

    public static final DrawingEvent.EventType REMOVE

  a child was removed from the changed-element

### REPLACE

    public static final DrawingEvent.EventType REPLACE

  a child was replaced by another element in the changed-element

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org